Package org.gradle.plugins.javascript.jshint

## Class JsHint

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.api.tasks.SourceTask
        - - org.gradle.plugins.javascript.jshint.JsHint

- All Implemented Interfaces:
    `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.IConventionAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `PatternFilterable`, `org.gradle.util.Configurable<Task>`

      public class JsHint
      extends SourceTask

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JsHint()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `doJsHint()` |
    `String` | `getEncoding()` |
    `FileCollection` | `getJsHint()` |
    `File` | `getJsonReport()` |
    `protected ObjectFactory` | `getObjectFactory()` |
    `FileCollection` | `getRhinoClasspath()` |
    `FileTree` | `getSource()` | Returns the source for this task, after the include and exclude patterns have been applied.
    `protected org.gradle.process.internal.worker.WorkerProcessFactory` | `getWorkerProcessBuilderFactory()` |
    `void` | `setEncoding​(String encoding)` |
    `void` | `setJsHint​(Object jsHint)` |
    `void` | `setJsHint​(FileCollection jsHint)` | Sets jshint file.
    `void` | `setJsonReport​(File jsonReport)` | Sets JSON report file.
    `void` | `setJsonReport​(Object jsonReport)` |
    `void` | `setRhinoClasspath​(Object rhinoClasspath)` |
    `void` | `setRhinoClasspath​(FileCollection rhinoClasspath)` | Sets Rhino classpath.

    - ### Methods inherited from class org.gradle.api.tasks.SourceTask

      `exclude, exclude, exclude, exclude, getExcludes, getIncludes, getPatternSetFactory, include, include, include, include, setExcludes, setIncludes, setSource, setSource, source`

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, getAsDynamicObject, getConvention, getIdentityPath, getImpliesSubProjects, getOnlyIf, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isEnabled, isHasCustomActions, prependParallelSafeAction, setImpliesSubProjects, setLoggerMessageRewriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.gradle.api.Task

      `getConvention`

- - ### Constructor Detail

    - #### JsHint

          public JsHint()

  - ### Method Detail

    - #### getWorkerProcessBuilderFactory

          @Inject
          protected org.gradle.process.internal.worker.WorkerProcessFactory getWorkerProcessBuilderFactory()

    - #### getObjectFactory

          @Inject
          protected ObjectFactory getObjectFactory()

    - #### getSource

          @PathSensitive(RELATIVE)
          public FileTree getSource()

      Returns the source for this task, after the include and exclude patterns have been applied. Ignores source files which do not exist.

      The `PathSensitivity` for the sources is configured to be `PathSensitivity.ABSOLUTE`. If your sources are less strict, please change it accordingly by overriding this method in your subclass.

      Overrides:
        `getSource` in class `SourceTask`
      Returns:
        The source.

    - #### getRhinoClasspath

          @Classpath
          public FileCollection getRhinoClasspath()

    - #### setRhinoClasspath

          public void setRhinoClasspath​(FileCollection rhinoClasspath)

      Sets Rhino classpath.
      Since:
        4.0

    - #### setRhinoClasspath

          public void setRhinoClasspath​(Object rhinoClasspath)

    - #### getJsHint

          @PathSensitive(RELATIVE)
          @InputFiles
          public FileCollection getJsHint()

    - #### setJsHint

          public void setJsHint​(FileCollection jsHint)

      Sets jshint file.
      Since:
        4.0

    - #### setJsHint

          public void setJsHint​(Object jsHint)

    - #### getEncoding

          @Input
          public String getEncoding()

    - #### setEncoding

          public void setEncoding​(String encoding)

    - #### getJsonReport

          @OutputFile
          public File getJsonReport()

    - #### setJsonReport

          public void setJsonReport​(File jsonReport)

      Sets JSON report file.
      Since:
        4.0

    - #### setJsonReport

          public void setJsonReport​(Object jsonReport)

    - #### doJsHint

          public void doJsHint()